Subject: bug#24335: closed (Re: bug#24335: Error when invoking usermod while reconfiguring)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 30 Aug 2016 18:13:03 +0000

Your bug report

#24335: Error when invoking usermod while reconfiguring

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
24335: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=24335
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#24335: Error when invoking usermod while reconfiguring
From: Leo Famulari <[email-masked]>
To: [email-masked]
Date: Tue, 30 Aug 2016 14:12:40 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

On Tue, Aug 30, 2016 at 01:18:06PM +0300, Alex Kost wrote:
> Leo Famulari (2016-08-30 08:44 +0300) wrote:
> 
> > While reconfiguring my GuixSD system from 1062f2451 (gnu: Add stagit),
> > the process fails as show below.
> >
> > When I revert 2d1a2f4af (system: Add 'create-home-directory?' field to
> > <user-account>) and the associated commit cb58b2cd, the reconfigure
> > completes successfully.
> 
> This "... create-home-directory? ..." commit is eb56ee027 actually:
> 
> http://git.savannah.gnu.org/cgit/guix.git/commit/?id=eb56ee027b4c6b5682f69fa885d16e55c4495bd8
> 
> > [...]
> > In unknown file:
> >    ?: 0 [system* "usermod" "-u" ...]
> >
> > ERROR: In procedure system*:
> > ERROR: Wrong type (expecting string): #t
> 
> I think that commit is an ABI-breaking thing.  Try to do "make clean-go"
> and remake the guix checkout again.
> 
> Specifically, that commit didn't touch (gnu services base) module, so
> 'guix-build-accounts' procedure still produces guixbuilder users
> accounts in an "old" format.  It's just my guess though, but "make
> clean-go" should work.
> 
> -- 
> Alex

Subject: Error when invoking usermod while reconfiguring
From: Leo Famulari <[email-masked]>
To: [email-masked]
Date: Tue, 30 Aug 2016 01:44:13 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

While reconfiguring my GuixSD system from 1062f2451 (gnu: Add stagit),
the process fails as show below.

When I revert 2d1a2f4af (system: Add 'create-home-directory?' field to
<user-account>) and the associated commit cb58b2cd, the reconfigure
completes successfully.

[...]
activating system...
setting up setuid programs in '/run/setuid-programs'...
populating /etc from /gnu/store/xsmb4mfnm2m10zmdiszsdah7wjwvfb5z-etc...
usermod: no changes
Backtrace:
In guix/ui.scm:
1190: 19 [run-guix-command system "reconfigure" ...]
In ice-9/boot-9.scm:
 157: 18 [catch srfi-34 #<procedure 659b460 at guix/ui.scm:423:2 ()> ...]
 157: 17 [catch system-error #<procedure 4fa6f60 at ice-9/eval.scm:416:20 ()> ...]
In ice-9/eval.scm:
 481: 16 [lp (#<fluid 32>) (#t)]
In ice-9/r4rs.scm:
  90: 15 [dynamic-wind #<procedure 5391be0 at ice-9/boot-9.scm:1133:2 _> ...]
In guix/store.scm:
1182: 14 [run-with-store # #<procedure 2d34f90 at ice-9/eval.scm:416:20 (a)> # ...]
In ice-9/r4rs.scm:
  39: 13 [call-with-values #<procedure 671a960 at ice-9/eval.scm:416:20 ()> ...]
In ice-9/eval.scm:
 386: 12 [eval #<memoized ((<3> <1>) <0>)> (# # # ...)]
 432: 11 [eval # #]
In ice-9/r4rs.scm:
  90: 10 [dynamic-wind #<procedure adea900 at ice-9/boot-9.scm:1133:2 _> ...]
  90: 9 [dynamic-wind #<procedure adea800 at ice-9/boot-9.scm:1133:2 _> ...]
In unknown file:
   ?: 8 [primitive-load "/gnu/store/ikbva4qvlgxppdy522qn6graq05g3b8p-activate"]
In ice-9/eval.scm:
 432: 7 [eval # ()]
In ice-9/boot-9.scm:
 768: 6 [for-each #<procedure primitive-load (_)> #]
In unknown file:
   ?: 5 [primitive-load "/gnu/store/rx8dd8z03xcf252c9xrzz9dipbliql6a-activate-service"]
In ./gnu/build/activation.scm:
 252: 4 [activate-users+groups (# # # # ...) (# # # # ...)]
In srfi/srfi-1.scm:
 616: 3 [for-each #<procedure activate-user (expr)> (# # # # ...)]
In ./gnu/build/activation.scm:
 217: 2 [activate-user ("guixbuilder01" 30001 "guixbuild" ...)]
 177: 1 [modify-user "guixbuilder01" "guixbuild" ...]
In unknown file:
   ?: 0 [system* "usermod" "-u" ...]

ERROR: In procedure system*:
ERROR: Wrong type (expecting string): #t